Pular para o conteúdo principal
GET
/
v1
/
contexts
/
{contextId}
Get a reconciliation context
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts/{contextId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
  "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
  "name": "Bank Reconciliation Q1",
  "type": "1:1",
  "interval": "daily",
  "status": "ACTIVE",
  "feeToleranceAbs": "0.50",
  "feeTolerancePct": "0.01",
  "feeNormalization": "NET",
  "autoMatchOnUpload": false,
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

contextId
string
obrigatório

The unique identifier of the reconciliation context.

Resposta

Successfully retrieved context

Configuration context for matching rules

id
string

Unique identifier for the context

Exemplo:

"019c96a0-10a0-72d2-9fb0-2b7de8093182"

tenantId
string

Tenant ID this context belongs to

Exemplo:

"019c96a0-0a98-7287-9a31-786e0809c769"

name
string

Name of the reconciliation context

Exemplo:

"Bank Reconciliation Q1"

type
enum<string>

Reconciliation topology type

Opções disponíveis:
1:1,
1:N,
N:M
Exemplo:

"1:1"

interval
string

Execution interval

Exemplo:

"daily"

status
enum<string>

Current status of the context

Opções disponíveis:
DRAFT,
ACTIVE,
PAUSED,
ARCHIVED
Exemplo:

"ACTIVE"

feeToleranceAbs
string

Absolute fee tolerance amount

Exemplo:

"0.50"

feeTolerancePct
string

Percentage fee tolerance

Exemplo:

"0.01"

feeNormalization
enum<string>

Fee normalization mode

Opções disponíveis:
NET,
GROSS
Exemplo:

"NET"

autoMatchOnUpload
boolean

Whether matching triggers automatically after file upload

Exemplo:

false

createdAt
string

Creation timestamp in RFC3339 format

Exemplo:

"2025-01-15T10:30:00.000Z"

updatedAt
string

Last update timestamp in RFC3339 format

Exemplo:

"2025-01-15T10:30:00.000Z"